> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/zdns/private-zone-record/deleteprivatezonerecord.md).

# DeletePrivateZoneRecord

## 1. 接口描述

本接口(DeletePrivateZoneRecord)用于删除指定的内网权威域名解析记录。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称      | 必选 | 类型              | 描述                                                                                                                              |
| --------- | -- | --------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| zoneId    | 是  | String          | <p>内网权威域名ID。</p><p>可通过调用 <a href="/api-reference/cn/zdns/private-zone/describeprivatezones.md">DescribePrivateZones</a> 获取。</p> |
| recordIds | 是  | Array of String | 要删除的内网权威域名解析记录ID列表。                                                                                                             |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 批量删除某Zone下的解析记录。**

```json
POST /api/v2/zdns HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeletePrivateZoneRecord
<Common Request Params>

Request：
{
  "zoneId": "<zoneId>",
  "recordIds": [
    "<recordId-1>",
    "<recordId-2>"
  ]
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                        | 说明         |
| ------- | ------------------------------------------ | ---------- |
| 404     | INVALID\_PRIVATE\_ZONE\_NOT\_FOUND         | 内网权威域名不存在。 |
| 404     | INVALID\_PRIVATE\_ZONE\_RECORD\_NOT\_FOUND | 解析记录不存在。   |
